#ifndef _LI_SDL_H
#define _LI_SDL_H 1
#include "Renderer.hpp"
#include <SDL.h>
#include <SDL_syswm.h>
#include <string>

namespace Li::Gui {
	class SDL {
	private:
		SDL_WindowFlags windowFlags;
		SDL_SysWMinfo wmInfo;
		SDL_Window* window;
		Renderer* renderer;
		bool isExiting;

	public:
		bool IsExiting();
		void NewFrame();
		void PollEvent();
		void Render();
		SDL(std::string windowTitle, int windowWidth, int windowHeight);
		~SDL();
	};
}
#endif